Oracle Linux 5 / 6 / 7:firefox (ELSA-2015-0988)

high Nessus 插件 ID 83403

简介

远程 Oracle Linux 主机缺少安全更新。

描述

来自 Red Hat 安全公告 2015:0988:

更新后的 firefox 程序包修复了多种安全问题,现在可用于Red Hat Enterprise Linux 5、6 和 7。

Red Hat 产品安全团队将此更新评级为具有严重安全影响。可从“参考”部分中的 CVE 链接获取针对每个漏洞的通用漏洞评分系统 (CVSS) 基本分数,其给出了详细的严重性等级。

Mozilla Firefox 是一款开源 Web 浏览器。XULRunner 提供用于 Mozilla Firefox 的 XUL Runtime 环境。

在对畸形 Web 内容的处理中发现多个缺陷。包含恶意内容的网页可导致 Firefox 崩溃,或者可能以运行 Firefox 的用户的权限执行任意代码。(CVE-2015-2708、CVE-2015-0797、CVE-2015-2710、CVE-2015-2713)

在 Firefox 处理压缩 XML 数据的方式中发现一个基于堆的缓冲区溢出缺陷。攻击者可创建特别构建的压缩 XML 内容,当 Firefox 处理此内容时,可导致其崩溃,或以运行 Firefox 的用户的权限执行任意代码。(CVE-2015-2716)

Red Hat 在此感谢 Mozilla 项目报告这些问题。上游感谢这些问题的原始报告者 Jesse Ruderman、Mats Palmgren、Byron Campen、Steve Fink、Aki Helin、Atte Kettunen、Scott Bell 和 Ucha Gobejishvili。

所有 Firefox 用户应升级这些更新后的程序包,其中包含已修正了这些问题的 Firefox 版本 38.0 ESR。安装更新后,必须重新启动 Firefox 才能使更改生效。

解决方案

更新受影响的 firefox 程序包。

另见

https://oss.oracle.com/pipermail/el-errata/2015-May/005065.html

https://oss.oracle.com/pipermail/el-errata/2015-May/005066.html

https://oss.oracle.com/pipermail/el-errata/2015-May/005073.html

插件详情

严重性: High

ID: 83403

文件名: oraclelinux_ELSA-2015-0988.nasl

版本: 1.13

类型: local

代理: unix

发布时间: 2015/5/13

最近更新时间: 2021/1/14

支持的传感器: Frictionless Assessment Agent, Nessus Agent, Nessus

风险信息

VPR

风险因素: High

分数: 7.3

CVSS v2

风险因素: High

基本分数: 9.3

时间分数: 6.9

矢量: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

漏洞信息

CPE: cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:7, p-cpe:/a:oracle:linux:firefox, cpe:/o:oracle:linux:6

必需的 KB 项: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2015/5/13

漏洞发布日期: 2015/5/14

参考资料信息

CVE: CVE-2015-0797, CVE-2015-2708, CVE-2015-2710, CVE-2015-2713, CVE-2015-2716, CVE-2015-4496

RHSA: 2015:0988